Get Apps
/unified/mdm/apps/{id}
Path Parameters
The ID of the resource.
23423523Query Parameters
Refer Specifying query parameters in Truto APIs
The type of the device.
mobile
1 supported1 required
Show Truto-specific parameters
The ID of the integrated account to use for the request.
62f44730-dd91-461e-bd6a-aedd9e0ad79dThe format of the response.
unifiedreturns the response with unified mappings applied.rawreturns the unprocessed, raw response from the remote API.normalizedapplies the unified mappings and returns the data in a normalized format.streamreturns the response as a stream, which is ideal for transmitting large datasets, files, or binary data. Using streaming mode helps to efficiently handle large payloads or real-time data flows without requiring the entire data to be buffered in memory.
Defaults to unified.
unifiedunifiedrawnormalizedstream
Excludes the remote_data attribute from the response.
Array of fields to exclude from the response.
truto_exclude_fields[]=id&truto_exclude_fields[]=nameQuery parameters to pass to the underlying API without any transformations. Refer this guide to see how to structure the query parameters.
remote_query[foo]=barResponse Body
The unique identifier for the installed software record
1 supported
A platform-specific application identifier. Examples: bundle identifier (macOS/iOS), package name (Android/Linux), product code or app ID (Windows), depending on the underlying product.
1 supported
The type of application identifier provided in app_id
bundle_idpackage_nameproduct_codeapp_idunknown
1 supported
The date and time the installed software record was created
The device this software record is associated with
The unique identifier for a device
The install path of the software, when available
The installation state of the software on the device, when available from the underlying product
installedpendingfailedunknown
The date and time the software was installed, when available
Whether the software is managed/deployed by the MDM/RMM product (as opposed to discovered/unmanaged), when available
Whether the software is a system/built-in application, when available
1 supported
The date and time the software was last observed on the device, when available
The name of the software/application
1 supported
The platform family of the discovered/installed application
windowsmacoslinuxiosipadosandroidchromeosunknown
The publisher or vendor of the software/application
Raw data returned from the remote API call.
The installed size of the software in bytes, when available
The identifier of the installed software record in the underlying product
Tags/labels associated with the installed software record
The date and time the installed software record was last updated
The installed version of the software/application
1 supported
curl -X GET 'https://api.truto.one/unified/mdm/apps/{id}?integrated_account_id=<integrated_account_id>' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json'const integratedAccountId = '<integrated_account_id>';
const response = await fetch(`https://api.truto.one/unified/mdm/apps/{id}?integrated_account_id=${integratedAccountId}`, {
method: 'GET',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/unified/mdm/apps/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
"integrated_account_id": "<integrated_account_id>"
}
response = requests.get(url, headers=headers, params=params)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const result = await truto.unifiedApi.get(
'mdm',
'apps',
'<resource_id>',
{ integrated_account_id: '<integrated_account_id>' }
);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
result = await truto_api.unified_api.get(
"mdm",
"apps",
"<resource_id>",
{"integrated_account_id": "<integrated_account_id>"}
)
print(result)
asyncio.run(main())